Skip to main content
POST
/
v1
/
twitter
/
submit_user_data
curl --request POST \
  --url 'https://mach-prod-536329393577.asia-northeast1.run.app/v1/twitter/submit_user_data' \
  --header 'Content-Type: application/json' \
  --data '{
    "wallet": "0xb20094DFede30AbEe3a8d549BbA828b6fd771106",
    "twitter_handle": "user123",
    "telegram_handle": "user123",
    "email": "[email protected]"
  }'
{
  "verified": true
}
This endpoint allows users to submit their contact information for Twitter integration, marketing communications, and rewards programs.

Request Body

wallet
string
required
The wallet address of the user
twitter_handle
string
required
The Twitter handle
telegram_handle
string
(Optional) The Telegram handle
email
string
(Optional) The user’s email

Response

verified
boolean
Whether the submission was verified and processed successfully
curl --request POST \
  --url 'https://mach-prod-536329393577.asia-northeast1.run.app/v1/twitter/submit_user_data' \
  --header 'Content-Type: application/json' \
  --data '{
    "wallet": "0xb20094DFede30AbEe3a8d549BbA828b6fd771106",
    "twitter_handle": "user123",
    "telegram_handle": "user123",
    "email": "[email protected]"
  }'
{
  "verified": true
}

Status Codes

Status CodeDescription
200Success - User data submitted successfully
422Validation Error - Invalid parameters
500Internal Server Error - Something went wrong on the server